Remove a BYOC infrastructure
Removes a BYOC Infrastructure from the organization
DELETE
/
v1
/
organizations
/
{organizationId}
/
byocInfrastructure
/
{byocInfrastructureId}
Remove a BYOC infrastructure
curl --request DELETE \
--url https://api.clickhouse.cloud/v1/organizations/{organizationId}/byocInfrastructure/{byocInfrastructureId} \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api.clickhouse.cloud/v1/organizations/{organizationId}/byocInfrastructure/{byocInfrastructureId}"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api.clickhouse.cloud/v1/organizations/{organizationId}/byocInfrastructure/{byocInfrastructureId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": 200,
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 400,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"status": 500,
"error": "<string>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}Removes a BYOC Infrastructure from the organization
Authorizations
Use key ID and key secret obtained in ClickHouse Cloud console: https://clickhouse.com/docs/cloud/manage/openapi
Path Parameters
ID of the requested organization.
ID of the requested BYOC Infrastructure
Last modified on July 21, 2026
Was this page helpful?
Previous
Update BYOC InfrastructureUpdate configuration of the BYOC infrastructure. Returns the modified infrastructure
Next
⌘I
Remove a BYOC infrastructure
